<div class="front_page_section front_page_section_woocommerce<?php
			$gardis_scheme = gardis_get_theme_option('front_page_woocommerce_scheme');
			if (!gardis_is_inherit($gardis_scheme)) echo ' scheme_'.esc_attr($gardis_scheme);
			echo ' front_page_section_paddings_'.esc_attr(gardis_get_theme_option('front_page_woocommerce_paddings'));
		?>"<?php
		$gardis_css = '';
		$gardis_bg_image = gardis_get_theme_option('front_page_woocommerce_bg_image');
		if (!empty($gardis_bg_image)) 
			$gardis_css .= 'background-image: url('.esc_url(gardis_get_attachment_url($gardis_bg_image)).');';
		if (!empty($gardis_css))
			echo ' style="' . esc_attr($gardis_css) . '"';
?>><?php
	// Add anchor
	$gardis_anchor_icon = gardis_get_theme_option('front_page_woocommerce_anchor_icon');	
	$gardis_anchor_text = gardis_get_theme_option('front_page_woocommerce_anchor_text');	
	if ((!empty($gardis_anchor_icon) || !empty($gardis_anchor_text)) && shortcode_exists('trx_sc_anchor')) {
		echo do_shortcode('[trx_sc_anchor id="front_page_section_woocommerce"'
										. (!empty($gardis_anchor_icon) ? ' icon="'.esc_attr($gardis_anchor_icon).'"' : '')
										. (!empty($gardis_anchor_text) ? ' title="'.esc_attr($gardis_anchor_text).'"' : '')
										. ']');
	}
	?>
	<div class="front_page_section_inner front_page_section_woocommerce_inner<?php
			if (gardis_get_theme_option('front_page_woocommerce_fullheight'))
				echo ' gardis-full-height sc_layouts_flex sc_layouts_columns_middle';
			?>"<?php
			$gardis_css = '';
			$gardis_bg_mask = gardis_get_theme_option('front_page_woocommerce_bg_mask');
			$gardis_bg_color = gardis_get_theme_option('front_page_woocommerce_bg_color');
			if (!empty($gardis_bg_color) && $gardis_bg_mask > 0)
				$gardis_css .= 'background-color: '.esc_attr($gardis_bg_mask==1
																	? $gardis_bg_color
																	: gardis_hex2rgba($gardis_bg_color, $gardis_bg_mask)
																).';';
			if (!empty($gardis_css))
				echo ' style="' . esc_attr($gardis_css) . '"';
	?>>
		<div class="front_page_section_content_wrap front_page_section_woocommerce_content_wrap content_wrap woocommerce">
			<?php
			// Content wrap with title and description
			$gardis_caption = gardis_get_theme_option('front_page_woocommerce_caption');
			$gardis_description = gardis_get_theme_option('front_page_woocommerce_description');
			if (!empty($gardis_caption) || !empty($gardis_description) || (current_user_can('edit_theme_options') && is_customize_preview())) {
				// Caption
				if (!empty($gardis_caption) || (current_user_can('edit_theme_options') && is_customize_preview())) {
					?><h2 class="front_page_section_caption front_page_section_woocommerce_caption front_page_block_<?php echo !empty($gardis_caption) ? 'filled' : 'empty'; ?>"><?php
						echo wp_kses($gardis_caption, 'gardis_kses_content');
					?></h2><?php
				}
			
				// Description (text)
				if (!empty($gardis_description) || (current_user_can('edit_theme_options') && is_customize_preview())) {
					?><div class="front_page_section_description front_page_section_woocommerce_description front_page_block_<?php echo !empty($gardis_description) ? 'filled' : 'empty'; ?>"><?php
						echo wp_kses(wpautop($gardis_description), 'gardis_kses_content');
					?></div><?php
				}
			}
		
			// Content (widgets)
			?><div class="front_page_section_output front_page_section_woocommerce_output list_products shop_mode_thumbs"><?php 
				$gardis_woocommerce_sc = gardis_get_theme_option('front_page_woocommerce_products');
				if ($gardis_woocommerce_sc == 'products') {
					$gardis_woocommerce_sc_ids = gardis_get_theme_option('front_page_woocommerce_products_per_page');
					$gardis_woocommerce_sc_per_page = count(explode(',', $gardis_woocommerce_sc_ids));
				} else {
					$gardis_woocommerce_sc_per_page = max(1, (int) gardis_get_theme_option('front_page_woocommerce_products_per_page'));
				}
				$gardis_woocommerce_sc_columns = max(1, min($gardis_woocommerce_sc_per_page, (int) gardis_get_theme_option('front_page_woocommerce_products_columns')));
				echo do_shortcode("[{$gardis_woocommerce_sc}"
									. ($gardis_woocommerce_sc == 'products' 
											? ' ids="'.esc_attr($gardis_woocommerce_sc_ids).'"' 
											: '')
									. ($gardis_woocommerce_sc == 'product_category' 
											? ' category="'.esc_attr(gardis_get_theme_option('front_page_woocommerce_products_categories')).'"' 
											: '')
									. ($gardis_woocommerce_sc != 'best_selling_products' 
											? ' orderby="'.esc_attr(gardis_get_theme_option('front_page_woocommerce_products_orderby')).'"'
											  . ' order="'.esc_attr(gardis_get_theme_option('front_page_woocommerce_products_order')).'"' 
											: '')
									. ' per_page="'.esc_attr($gardis_woocommerce_sc_per_page).'"' 
									. ' columns="'.esc_attr($gardis_woocommerce_sc_columns).'"' 
									. ']');
			?></div>
		</div>
	</div>
</div>