<?php
/**
 * The template for homepage posts with "Excerpt" style
 *
 * @package WordPress
 * @subpackage GARDIS
 * @since GARDIS 1.0
 */

gardis_storage_set('blog_archive', true);

get_header(); 

if (have_posts()) {

	gardis_show_layout(get_query_var('blog_archive_start'));

	?><div class="posts_container"><?php
	
	$gardis_stickies = is_home() ? get_option( 'sticky_posts' ) : false;
	$gardis_sticky_out = gardis_get_theme_option('sticky_style')=='columns' 
							&& is_array($gardis_stickies) && count($gardis_stickies) > 0 && get_query_var( 'paged' ) < 1;
	if ($gardis_sticky_out) {
		?><div class="sticky_wrap columns_wrap"><?php	
	}
	while ( have_posts() ) { the_post(); 
		if ($gardis_sticky_out && !is_sticky()) {
			$gardis_sticky_out = false;
			?></div><?php
		}
		get_template_part( 'content', $gardis_sticky_out && is_sticky() ? 'sticky' : 'excerpt' );
	}
	if ($gardis_sticky_out) {
		$gardis_sticky_out = false;
		?></div><?php
	}
	
	?></div><?php

	gardis_show_pagination();

	gardis_show_layout(get_query_var('blog_archive_end'));

} else {

	if ( is_search() )
		get_template_part( 'content', 'none-search' );
	else
		get_template_part( 'content', 'none-archive' );

}

get_footer();
?>