<?php
/**
 * The template to display menu in the footer
 *
 * @package WordPress
 * @subpackage GARDIS
 * @since GARDIS 1.0.10
 */

// Footer menu
$gardis_menu_footer = gardis_get_nav_menu(array(
											'location' => 'menu_footer',
											'class' => 'sc_layouts_menu sc_layouts_menu_default'
											));
if (!empty($gardis_menu_footer)) {
	?>
	<div class="footer_menu_wrap">
		<div class="footer_menu_inner">
			<?php gardis_show_layout($gardis_menu_footer); ?>
		</div>
	</div>
	<?php
}
?>