<?php
/**
 * The template 'Style 1' to displaying related posts
 *
 * @package WordPress
 * @subpackage GARDIS
 * @since GARDIS 1.0
 */

$gardis_link = get_permalink();
$gardis_post_format = get_post_format();
$gardis_post_format = empty($gardis_post_format) ? 'standard' : str_replace('post-format-', '', $gardis_post_format);
?><div id="post-<?php the_ID(); ?>" 
	<?php post_class( 'related_item related_item_style_1 post_format_'.esc_attr($gardis_post_format) ); ?>><?php
	gardis_show_post_featured(array(
		'thumb_size' => gardis_get_thumb_size( (int) gardis_get_theme_option('related_posts') == 1 ? 'huge' : 'big' ),
		'show_no_image' => false,
		'singular' => false,
		'post_info' => '<div class="post_header entry-header">'
							. '<div class="post_categories">'.wp_kses(gardis_get_post_categories(''), 'gardis_kses_content').'</div>'
							. '<h6 class="post_title entry-title"><a href="'.esc_url($gardis_link).'">'.esc_html(get_the_title()).'</a></h6>'
							. (in_array(get_post_type(), array('post', 'attachment'))
									? '<span class="post_date"><a href="'.esc_url($gardis_link).'">'.wp_kses_data(gardis_get_date()).'</a></span>'
									: '')
						. '</div>'
		)
	);
?></div>