<?php
/**
 * The Footer: widgets area, logo, footer menu and socials
 *
 * @package WordPress
 * @subpackage GARDIS
 * @since GARDIS 1.0
 */

						// Widgets area inside page content
						gardis_create_widgets_area('widgets_below_content');
						?>				
					</div><!-- </.content> -->

					<?php
					// Show main sidebar
					get_sidebar();

					// Widgets area below page content
					gardis_create_widgets_area('widgets_below_page');

					$gardis_body_style = gardis_get_theme_option('body_style');
					if ($gardis_body_style != 'fullscreen') {
						?></div><!-- </.content_wrap> --><?php
					}
					?>
			</div><!-- </.page_content_wrap> -->

			<?php
			// Footer
			$gardis_footer_type = gardis_get_theme_option("footer_type");
			if ($gardis_footer_type == 'custom' && !gardis_is_layouts_available())
				$gardis_footer_type = 'default';
			get_template_part( "templates/footer-{$gardis_footer_type}");
			?>

		</div><!-- /.page_wrap -->

	</div><!-- /.body_wrap -->

	<?php if (gardis_is_on(gardis_get_theme_option('debug_mode')) && gardis_get_file_dir('images/makeup.jpg')!='') { ?>
		<img src="<?php echo esc_url(gardis_get_file_url('images/makeup.jpg')); ?>" id="makeup">
	<?php } ?>

	<?php wp_footer(); ?>

</body>
</html>