<div class="front_page_section front_page_section_about<?php
			$gardis_scheme = gardis_get_theme_option('front_page_about_scheme');
			if (!gardis_is_inherit($gardis_scheme)) echo ' scheme_'.esc_attr($gardis_scheme);
			echo ' front_page_section_paddings_'.esc_attr(gardis_get_theme_option('front_page_about_paddings'));
		?>"<?php
		$gardis_css = '';
		$gardis_bg_image = gardis_get_theme_option('front_page_about_bg_image');
		if (!empty($gardis_bg_image)) 
			$gardis_css .= 'background-image: url('.esc_url(gardis_get_attachment_url($gardis_bg_image)).');';
		if (!empty($gardis_css))
			echo ' style="' . esc_attr($gardis_css) . '"';
?>><?php
	// Add anchor
	$gardis_anchor_icon = gardis_get_theme_option('front_page_about_anchor_icon');	
	$gardis_anchor_text = gardis_get_theme_option('front_page_about_anchor_text');	
	if ((!empty($gardis_anchor_icon) || !empty($gardis_anchor_text)) && shortcode_exists('trx_sc_anchor')) {
		echo do_shortcode('[trx_sc_anchor id="front_page_section_about"'
										. (!empty($gardis_anchor_icon) ? ' icon="'.esc_attr($gardis_anchor_icon).'"' : '')
										. (!empty($gardis_anchor_text) ? ' title="'.esc_attr($gardis_anchor_text).'"' : '')
										. ']');
	}
	?>
	<div class="front_page_section_inner front_page_section_about_inner<?php
			if (gardis_get_theme_option('front_page_about_fullheight'))
				echo ' gardis-full-height sc_layouts_flex sc_layouts_columns_middle';
			?>"<?php
			$gardis_css = '';
			$gardis_bg_mask = gardis_get_theme_option('front_page_about_bg_mask');
			$gardis_bg_color = gardis_get_theme_option('front_page_about_bg_color');
			if (!empty($gardis_bg_color) && $gardis_bg_mask > 0)
				$gardis_css .= 'background-color: '.esc_attr($gardis_bg_mask==1
																	? $gardis_bg_color
																	: gardis_hex2rgba($gardis_bg_color, $gardis_bg_mask)
																).';';
			if (!empty($gardis_css))
				echo ' style="' . esc_attr($gardis_css) . '"';
	?>>
		<div class="front_page_section_content_wrap front_page_section_about_content_wrap content_wrap">
			<?php
			// Caption
			$gardis_caption = gardis_get_theme_option('front_page_about_caption');
			if (!empty($gardis_caption) || (current_user_can('edit_theme_options') && is_customize_preview())) {
				?><h2 class="front_page_section_caption front_page_section_about_caption front_page_block_<?php echo !empty($gardis_caption) ? 'filled' : 'empty'; ?>"><?php echo wp_kses($gardis_caption, 'gardis_kses_content'); ?></h2><?php
			}
		
			// Description (text)
			$gardis_description = gardis_get_theme_option('front_page_about_description');
			if (!empty($gardis_description) || (current_user_can('edit_theme_options') && is_customize_preview())) {
				?><div class="front_page_section_description front_page_section_about_description front_page_block_<?php echo !empty($gardis_description) ? 'filled' : 'empty'; ?>"><?php echo wp_kses_ost(wpautop($gardis_description)); ?></div><?php
			}
			
			// Content
			$gardis_content = gardis_get_theme_option('front_page_about_content');
			if (!empty($gardis_content) || (current_user_can('edit_theme_options') && is_customize_preview())) {
				?><div class="front_page_section_content front_page_section_about_content front_page_block_<?php echo !empty($gardis_content) ? 'filled' : 'empty'; ?>"><?php
					$gardis_page_content_mask = '%%CONTENT%%';
					if (strpos($gardis_content, $gardis_page_content_mask) !== false) {
						$gardis_content = preg_replace(
									'/(\<p\>\s*)?'.$gardis_page_content_mask.'(\s*\<\/p\>)/i',
									sprintf('<div class="front_page_section_about_source">%s</div>',
												apply_filters('the_content', get_the_content())),
									$gardis_content
									);
					}
					gardis_show_layout($gardis_content);
				?></div><?php
			}
			?>
		</div>
	</div>
</div>