<div class="front_page_section front_page_section_googlemap<?php
			$gardis_scheme = gardis_get_theme_option('front_page_googlemap_scheme');
			if (!gardis_is_inherit($gardis_scheme)) echo ' scheme_'.esc_attr($gardis_scheme);
			echo ' front_page_section_paddings_'.esc_attr(gardis_get_theme_option('front_page_googlemap_paddings'));
		?>"<?php
		$gardis_css = '';
		$gardis_bg_image = gardis_get_theme_option('front_page_googlemap_bg_image');
		if (!empty($gardis_bg_image)) 
			$gardis_css .= 'background-image: url('.esc_url(gardis_get_attachment_url($gardis_bg_image)).');';
		if (!empty($gardis_css))
			echo ' style="' . esc_attr($gardis_css) . '"';
?>><?php
	// Add anchor
	$gardis_anchor_icon = gardis_get_theme_option('front_page_googlemap_anchor_icon');	
	$gardis_anchor_text = gardis_get_theme_option('front_page_googlemap_anchor_text');	
	if ((!empty($gardis_anchor_icon) || !empty($gardis_anchor_text)) && shortcode_exists('trx_sc_anchor')) {
		echo do_shortcode('[trx_sc_anchor id="front_page_section_googlemap"'
										. (!empty($gardis_anchor_icon) ? ' icon="'.esc_attr($gardis_anchor_icon).'"' : '')
										. (!empty($gardis_anchor_text) ? ' title="'.esc_attr($gardis_anchor_text).'"' : '')
										. ']');
	}
	?>
	<div class="front_page_section_inner front_page_section_googlemap_inner<?php
			if (gardis_get_theme_option('front_page_googlemap_fullheight'))
				echo ' gardis-full-height sc_layouts_flex sc_layouts_columns_middle';
			?>"<?php
			$gardis_css = '';
			$gardis_bg_mask = gardis_get_theme_option('front_page_googlemap_bg_mask');
			$gardis_bg_color = gardis_get_theme_option('front_page_googlemap_bg_color');
			if (!empty($gardis_bg_color) && $gardis_bg_mask > 0)
				$gardis_css .= 'background-color: '.esc_attr($gardis_bg_mask==1
																	? $gardis_bg_color
																	: gardis_hex2rgba($gardis_bg_color, $gardis_bg_mask)
																).';';
			if (!empty($gardis_css))
				echo ' style="' . esc_attr($gardis_css) . '"';
	?>>
		<div class="front_page_section_content_wrap front_page_section_googlemap_content_wrap<?php
			$gardis_layout = gardis_get_theme_option('front_page_googlemap_layout');
			if ($gardis_layout != 'fullwidth')
				echo ' content_wrap';
		?>">
			<?php
			// Content wrap with title and description
			$gardis_caption = gardis_get_theme_option('front_page_googlemap_caption');
			$gardis_description = gardis_get_theme_option('front_page_googlemap_description');
			if (!empty($gardis_caption) || !empty($gardis_description) || (current_user_can('edit_theme_options') && is_customize_preview())) {
				if ($gardis_layout == 'fullwidth') {
					?><div class="content_wrap"><?php
				}
					// Caption
					if (!empty($gardis_caption) || (current_user_can('edit_theme_options') && is_customize_preview())) {
						?><h2 class="front_page_section_caption front_page_section_googlemap_caption front_page_block_<?php echo !empty($gardis_caption) ? 'filled' : 'empty'; ?>"><?php
							echo wp_kses($gardis_caption, 'gardis_kses_content');
						?></h2><?php
					}
				
					// Description (text)
					if (!empty($gardis_description) || (current_user_can('edit_theme_options') && is_customize_preview())) {
						?><div class="front_page_section_description front_page_section_googlemap_description front_page_block_<?php echo !empty($gardis_description) ? 'filled' : 'empty'; ?>"><?php
							echo wp_kses(wpautop($gardis_description), 'gardis_kses_content');
						?></div><?php
					}
				if ($gardis_layout == 'fullwidth') {
					?></div><?php
				}
			}

			// Content (text)
			$gardis_content = gardis_get_theme_option('front_page_googlemap_content');
			if (!empty($gardis_content) || (current_user_can('edit_theme_options') && is_customize_preview())) {
				if ($gardis_layout == 'columns') {
					?><div class="front_page_section_columns front_page_section_googlemap_columns columns_wrap">
						<div class="column-1_3">
					<?php
				} else if ($gardis_layout == 'fullwidth') {
					?><div class="content_wrap"><?php
				}
	
				?><div class="front_page_section_content front_page_section_googlemap_content front_page_block_<?php echo !empty($gardis_content) ? 'filled' : 'empty'; ?>"><?php
					echo wp_kses($gardis_content, 'gardis_kses_content');
				?></div><?php
	
				if ($gardis_layout == 'columns') {
					?></div><div class="column-2_3"><?php
				} else if ($gardis_layout == 'fullwidth') {
					?></div><?php
				}
			}
			
			// Widgets output
			?><div class="front_page_section_output front_page_section_googlemap_output"><?php 
				if (is_active_sidebar('front_page_googlemap_widgets')) {
					dynamic_sidebar( 'front_page_googlemap_widgets' );
				} else if (current_user_can( 'edit_theme_options' )) {
					if (!gardis_exists_trx_addons())
						gardis_customizer_need_trx_addons_message();
					else
						gardis_customizer_need_widgets_message('front_page_googlemap_caption', 'ThemeREX Addons - Google map');
				}
			?></div><?php

			if ($gardis_layout == 'columns' && (!empty($gardis_content) || (current_user_can('edit_theme_options') && is_customize_preview()))) {
				?></div></div><?php
			}
			?>			
		</div>
	</div>
</div>