<?php
/**
 * The template to display default site footer
 *
 * @package WordPress
 * @subpackage GARDIS
 * @since GARDIS 1.0.10
 */

$gardis_footer_scheme =  gardis_is_inherit(gardis_get_theme_option('footer_scheme')) ? gardis_get_theme_option('color_scheme') : gardis_get_theme_option('footer_scheme');
?>
<footer class="footer_wrap footer_default scheme_<?php echo esc_attr($gardis_footer_scheme); ?>">
	<?php

	// Footer widgets area
	get_template_part( 'templates/footer-widgets' );

	// Logo
	get_template_part( 'templates/footer-logo' );

	// Socials
	get_template_part( 'templates/footer-socials' );

	// Menu
	get_template_part( 'templates/footer-menu' );

	// Copyright area
	get_template_part( 'templates/footer-copyright' );
	
	?>
</footer><!-- /.footer_wrap -->
